Create a guest for a shared playlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /shared/playlists/{token}/guest

Create a guest identity for the shared playlist. If you give the guest_id of a guest created from this link, the route returns this guest with the code 200. Else the route creates a new guest and returns it with the code 201. The route never reuses a guest by name. You do not need an account. The token of the link is the credential. If the link has a password, give it in the password query parameter.

Path parameters

  • token string Required

    Share link token

Query parameters

  • password string

    Password when the link is protected

application/json

Body

  • first_name string

    Default value is Guest.

  • last_name string
  • guest_id string(uuid)

    If set, return this guest if it still exists

Responses

  • 200 application/json

    The guest already exists

  • 201 application/json

    The guest

  • 404

    The link is not valid, has expired, or the password is missing or wrong

POST /shared/playlists/{token}/guest
curl \
 --request POST '/api/shared/playlists/{token}/guest' \
 --header "Content-Type: application/json" \
 --data '{
  "first_name": "Guest",
  "last_name": "string",
  "guest_id": "string"
}'
Request examples
{
  "first_name": "Guest",
  "last_name": "string",
  "guest_id": "string"
}
Response examples (200)
{}
Response examples (201)
{}